package io.skore.smooch_plugin.delegate

import io.smooch.core.ConversationDetails
import io.smooch.core.Message
import io.smooch.core.MessageModifierDelegate

class SkoreMessageModifierDelegate : MessageModifierDelegate {
    override fun beforeSend(p0: ConversationDetails, p1: Message): Message = p1
    override fun beforeNotification(p0: String, p1: Message): Message? = p1

    override fun beforeDisplay(p0: ConversationDetails, message: Message): Message? {
        message.text?.let { txt ->
            return when (txt) {
                "iniciar", "session" -> null
                else -> {
                    if (txt.contains("token:") || txt.contains("token2:")) null else message
                }
            }
        }
        return message
    }
}